Skip to content

Update from 1-500 document templates to your Vault.

PUT/api/{version}/objects/documents/templates
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml

You can update the following fields on document templates:

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ --data-binary @"C:\Vault\Templates\update_document_templates.csv" \ https://myvault.veevavault.com/api/v17.1/objects/documents/templates
{ "responseStatus":"SUCCESS", "data":[ { "responseStatus":"SUCCESS", "name":"claim_document_template__c" }, { "responseStatus":"SUCCESS", "name":"clinical_study_document_template__c" }, { "responseStatus":"FAILURE", "errors":[ { "type":"INVALID_DATA", "message":"Error message describing why this template was not created." } ] } ] }